package ru.somecompany.service;

import ru.somecompany.domain.CompanyEntity;
import ru.somecompany.domain.CreateCompanyRequest;

import java.util.List;
import java.util.UUID;

public interface CompanyService {

    List<CompanyEntity> getCompanies();

    CompanyEntity createCompany(CreateCompanyRequest companyRequest);

    CompanyEntity updateCompany(UUID companyId, CreateCompanyRequest companyRequest);

    void deleteCompany(UUID companyId);

    CompanyEntity getCompany(UUID companyId);
}
